package tv.acfun.cloud.service.limit;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.mongodb.repository.config.EnableMongoRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * Created by wzp on 15/11/22.
 */
@EnableDiscoveryClient
@EnableMongoRepositories
@SpringBootApplication
@EnableHystrix
@EnableTransactionManagement
@EnableCaching
@ComponentScan
public class LimitServiceApplication {
  public static void main(String[] args) {
    SpringApplication.run(LimitServiceApplication.class, args);
  }
}
