package tv.acfun.cloud.service.limit.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import tv.acfun.cloud.common.cache.ETagInterceptor;
import tv.acfun.cloud.common.service.ServiceConfig;

/**
 * Created by wzp on 16/2/14.
 */
@Configuration
@EnableWebMvc
public class WebConfig extends ServiceConfig {

  @Autowired
  private ETagInterceptor eTagInterceptor;

  public void addInterceptors(InterceptorRegistry registry) {
    registry.addInterceptor(eTagInterceptor);
    super.addInterceptors(registry);
  }

}
