package tv.acfun.cloud.service.limit;

import tv.acfun.cloud.common.entity.ApiVersion;
import tv.acfun.cloud.common.entity.Constants;

/**
 * Created by wzp on 16/02/01.
 */
public class LimitConstants {

  public static final String MODULE_SIMPLE_NAME = "lmt";

  public static final String ID_PATH = "/{id}";

  public static final String LIMITS_PATH = "/limits";
  public static final String LIMITS_ID_PATH = LIMITS_PATH + ID_PATH;

  public static final String TYPES_PATH = "/types";
  public static final String TYPES_ID_PATH = TYPES_PATH + ID_PATH;

  public static final String REASONS_PATH = "/reasons";
  public static final String REASONS_ID_PATH = REASONS_PATH + ID_PATH;

  public static final String LIMITS_ID_KEY = "lmt_limit";
  public static final String TYPES_ID_KEY = "lmt_type";
  public static final String REASONS_ID_KEY = "lmt_reason";
  public static final String TARGETS_ID_KEY = "lmt_target";

  //==== cache
  public static final String LIMITS_CACHE = MODULE_SIMPLE_NAME + Constants.CONNECTOR + "limits";
  public static final String TYPES_CACHE = MODULE_SIMPLE_NAME + Constants.CONNECTOR + "types";
  public static final String TARGETS_CACHE = MODULE_SIMPLE_NAME + Constants.CONNECTOR + "targets";
  public static final String REASONS_CACHE = MODULE_SIMPLE_NAME + Constants.CONNECTOR + "reasons";

  //==== serviceId
  public static final String LIMIT_SERVICE_ID = "limit-service-provider";

  public static final String LIMIT_SERVICE_ID_VERSION_10 = LIMIT_SERVICE_ID + "-" + ApiVersion.VERSION_10;
}
